Subject: Re: Define Linux system memory

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 21 Dec 2006 00:58:33 -0500

Clint Thomas wrote:
> To anybody who has done this before or understands how to do this, I
> was wondering if you know how to "*tell*" the kernel how much memory
> there is in the system. An example would be if I have 512MB of RAM,
> but only want the system to know that there is about 500MB in RAM, so
> that 12MB does not exist to the OS/kernel. Would this require mucking
> about in U-boot? or can I just define this in the kernel source? Thanks
>  
>  Clinton Thomas

    Most bootloaders including u-boot pass a board information structure
that includes a variety of information including the memory size.
    Also I think top of memory is also typically passed to the Linux
Kernel as a register parameter  by the boot loader.

>  
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein